## org.apache.batik.gvt.renderer
Interface ImageRenderer

All Superinterfaces:
  Renderer

All Known Implementing Classes:
  DynamicRenderer, MacRenderer, StaticRenderer

    public interface ImageRenderer

extends Renderer

Interface for GVT Renderers that render into raster images.

Method Summary
`void` `clearOffScreen()` Tells renderer to clear current contents of offscreen buffer
`void` `dispose()` release resources associated with this object.
`void` `flush()` Flush any cached image data (preliminary interface).
`void` `flush(java.util.Collection areas)` Flush a list of rectangles of cached image data (preliminary interface).
`void` `flush(java.awt.Rectangle r)` Flush a rectangle of cached image data (preliminary interface).
`java.awt.image.BufferedImage` `getOffScreen()` Get the Current offscreen buffer used for rendering
`java.awt.RenderingHints` `getRenderingHints()` Returns the rendering hints this ImageRenderer is using for its rendering.
`java.awt.geom.AffineTransform` `getTransform()` Returns the transform from the current user space (as defined by the top node of the GVT tree) to the device space.
`void` `setRenderingHints(java.awt.RenderingHints rh)` Sets the specified rendering hints to be used for future renderings.
`void` `setTransform(java.awt.geom.AffineTransform usr2dev)` Sets the transform from the current user space (as defined by the top node of the GVT tree, to the associated device space.
`void` `updateOffScreen(int width, int height)` Update the required size of the offscreen buffer.

Methods inherited from interface org.apache.batik.gvt.renderer.Renderer
`getTree, isDoubleBuffered, repaint, repaint, setDoubleBuffered, setTree`

Method Detail

### dispose

    void dispose()

  release resources associated with this object.

  Specified by:
    `dispose` in interface `Renderer`

### updateOffScreen

    void updateOffScreen(int width,
                         int height)

  Update the required size of the offscreen buffer.

### setTransform

    void setTransform(java.awt.geom.AffineTransform usr2dev)

  Sets the transform from the current user space (as defined by the top node of the GVT tree, to the associated device space.

  Specified by:
    `setTransform` in interface `Renderer`
  Parameters:
    `usr2dev` - the new user space to device space transform. If null, the identity transform will be set.

### getTransform

    java.awt.geom.AffineTransform getTransform()

  Returns the transform from the current user space (as defined by the top node of the GVT tree) to the device space.

  Specified by:
    `getTransform` in interface `Renderer`

### setRenderingHints

    void setRenderingHints(java.awt.RenderingHints rh)

  Sets the specified rendering hints to be used for future renderings. This replaces current set of rendering hints.

  Parameters:
    `rh` - the rendering hints to use

### getRenderingHints

    java.awt.RenderingHints getRenderingHints()

  Returns the rendering hints this ImageRenderer is using for its rendering.

  Returns:
    the rendering hints being used

### getOffScreen

    java.awt.image.BufferedImage getOffScreen()

  Get the Current offscreen buffer used for rendering

### clearOffScreen

    void clearOffScreen()

  Tells renderer to clear current contents of offscreen buffer

### flush

    void flush()

  Flush any cached image data (preliminary interface).

### flush

    void flush(java.awt.Rectangle r)

  Flush a rectangle of cached image data (preliminary interface).

### flush

    void flush(java.util.Collection areas)

  Flush a list of rectangles of cached image data (preliminary interface). Each area are transformed via the usr2dev's renderer transform before the flush(Rectangle) is called.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.